#include "{{ headerPath }}"

// Thunks
template <typename Ret, typename... Args>
struct __Thunk<Ret(Args...)> {
    template <__Function<Ret(Args...)> *func>
    static Ret call(Args... args) {
        return func->get_thunk_target()(std::forward<Args>(args)...);
    }
};

// Thunk Enabler
thunk_enabler_t thunk_enabler;

{{ main }}